CMSIS DSP Software Library: arm_matrix_example_f32.c File Reference

Defines | Functions | Variables

# arm_matrix_example_f32.c File Reference

`#include "arm_math.h"`
`#include "math_helper.h"`

Go to the source code of this file.

## Defines
#define | SNR_THRESHOLD 90
## Functions
int32_t | main (void)
## Variables
const float32_t | B_f32 [4]
const float32_t | A_f32 [16]
float32_t | AT_f32 [16]
float32_t | ATMA_f32 [16]
float32_t | ATMAI_f32 [16]
float32_t | X_f32 [4]
const float32_t | xRef_f32 [4] = {73.0, 8.0, 21.25, 2.875}
float32_t | snr

## Define Documentation

#define SNR_THRESHOLD 90

Definition at line 80 of file arm_matrix_example_f32.c.

## Function Documentation

int32_t main | ( | void | ) |

Definition at line 130 of file arm_matrix_example_f32.c.

## Variable Documentation

const float32_t B_f32[4]

Initial value:

    {
        782.0, 7577.0, 470.0, 4505.0
    }

Examples:
  arm_matrix_example_f32.c.

Definition at line 87 of file arm_matrix_example_f32.c.

const float32_t A_f32[16]

Initial value:

    {

        1.0,        32.0,       4.0,        128.0,
        1.0,        32.0,       64.0,       2048.0,
        1.0,        16.0,       4.0,        64.0,
        1.0,        16.0,       64.0,       1024.0,
    }

Examples:
  arm_matrix_example_f32.c.

Definition at line 96 of file arm_matrix_example_f32.c.

float32_t AT_f32[16]

Examples:
  arm_matrix_example_f32.c.

Definition at line 110 of file arm_matrix_example_f32.c.

float32_t ATMA_f32[16]

Examples:
  arm_matrix_example_f32.c.

Definition at line 112 of file arm_matrix_example_f32.c.

float32_t ATMAI_f32[16]

Examples:
  arm_matrix_example_f32.c.

Definition at line 114 of file arm_matrix_example_f32.c.

float32_t X_f32[4]

Examples:
  arm_matrix_example_f32.c.

Definition at line 116 of file arm_matrix_example_f32.c.

const float32_t xRef_f32[4] = {73.0, 8.0, 21.25, 2.875}

Examples:
  arm_matrix_example_f32.c.

Definition at line 121 of file arm_matrix_example_f32.c.

float32_t snr

Definition at line 123 of file arm_matrix_example_f32.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines